JTEKT MACHINE SYSTEMS (THAILAND) CO., LTD. - Parent project #4449
[PJ260004] Hardware Label

16 Jan 2026 14:40 - Siriwilai Chaiwattanaphon

Status: Closed Start date: 16 Jan 2026
Priority: Normal Due date: 22 Jan 2026
Assignee: Ryo Nozaki Spent time: 0.00 hour
Description

CARBON ROBBON Wax T102H 21.5 x 300 mm. Q'ty 20 Roll

History

#1 - 28 Jan 2026 14:27 - Siriwilai Chaiwattanaphon
- Due date set to 22 Jan 2026

Ordered

#2 - 28 Jan 2026 14:27 - Siriwilai Chaiwattanaphon

- Status changed from In Progress to Closed

03 Feb 2026
